package market.Qms.com.vo;

import java.io.Serializable;
import java.util.Date;

import market.Qms.com.mapper.BaseProductMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_BASE_PRODUCT", namespace=BaseProductMapper.class)
public class BaseProduct extends BaseVO implements Serializable {

	/** 品名代码 */
	@Id("PROD_CODE")
	private String prodCode;

	/** 品名描述 */
	@Column("PROD_NAME")
	private String prodName;

	/** 品种大类代码(4050)--销售分类 */
	@Column("PROD_CODE_L")
	private String prodCodeL;

	/** 品种大类描述 */
	@Column("PROD_DESC_L")
	private String prodDescL;

	/** 是否配接箍(与扣型中的是否接箍配合使用) */
	@Column
	private String havejg;

	/** 创建人 */
	@Column("CREATE_NAME")
	private String createName;

	/** 创建时间 */
	@Column("CREATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	/** 修改人 */
	@Column("UPDATE_NAME")
	private String updateName;

	/** 修改时间 */
	@Column("UPDATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	/** 删除人 */
	@Column("DELETE_NAME")
	private String deleteName;

	/** 删除时间 */
	@Column("DELETE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date deleteTime;

	/** 有效标志(1:有效，0:无效) */
	@Column
	private String validflag;

	/** 备注 */
	@Column
	private String memo;

	/** 品名简称(*) */
	@Column("PROD_ABBR")
	private String prodAbbr;

	/** 品名英语名称(*) */
	@Column("PROD_ENG")
	private String prodEng;

	/** 品名代码 */
	@Column("PRODUCCODE_OLD")
	private String produccodeOld;
	
	/** 产品大类代码(4049) */
	@Column("PROD_TYPE_CODE_L")
	private String prodTypeCodeL;
	
	/** 产品中类代码(4109) */
	@Column("PROD_TYPE_CODE_M")
	private String prodTypeCodeM;
	
	/** 产品小类代码(4110) */
	@Column("PROD_TYPE_CODE_S")
	private String prodTypeCodeS;
	
	/** 产品大类名称 */
	@Column("PROD_TYPE_NAME_L")
	private String prodTypeNameL;
	
	/** 产品中类名称 */
	@Column("PROD_TYPE_NAME_M")
	private String prodTypeNameM;
	
	/** 产品小类名称 */
	@Column("PROD_TYPE_NAME_S")
	private String prodTypeNameS;
	
	/** 产品中类备注 */
	@Column("PROD_TYPE_MEMO_M")
	private String prodTypeMemoM;
	
	/** 产品小类备注 */
	@Column("PROD_TYPE_MEMO_S")
	private String prodTypeMemoS;
	
	public String getProdCode() {
		return this.prodCode;
	}

	public String getProdName() {
		return this.prodName;
	}

	public String getProdCodeL() {
		return this.prodCodeL;
	}

	public String getProdDescL() {
		return this.prodDescL;
	}

	public String getHavejg() {
		return this.havejg;
	}

	public String getCreateName() {
		return this.createName;
	}

	public Date getCreateTime() {
		return this.createTime;
	}

	public String getUpdateName() {
		return this.updateName;
	}

	public Date getUpdateTime() {
		return this.updateTime;
	}

	public String getDeleteName() {
		return this.deleteName;
	}

	public Date getDeleteTime() {
		return this.deleteTime;
	}

	public String getValidflag() {
		return this.validflag;
	}

	public String getMemo() {
		return this.memo;
	}

	public String getProdAbbr() {
		return this.prodAbbr;
	}

	public String getProdEng() {
		return this.prodEng;
	}

	public String getProduccodeOld() {
		return this.produccodeOld;
	}

	public String getProdTypeCodeL() {
		return prodTypeCodeL;
	}

	public String getProdTypeCodeM() {
		return prodTypeCodeM;
	}

	public String getProdTypeCodeS() {
		return prodTypeCodeS;
	}

	public String getProdTypeNameL() {
		return prodTypeNameL;
	}

	public String getProdTypeNameM() {
		return prodTypeNameM;
	}

	public String getProdTypeNameS() {
		return prodTypeNameS;
	}

	public String getProdTypeMemoM() {
		return prodTypeMemoM;
	}

	public String getProdTypeMemoS() {
		return prodTypeMemoS;
	}

	public void setProdCode(String prodCode) {
		this.prodCode = prodCode;
	}

	public void setProdName(String prodName) {
		this.prodName = prodName;
	}

	public void setProdCodeL(String prodCodeL) {
		this.prodCodeL = prodCodeL;
	}

	public void setProdDescL(String prodDescL) {
		this.prodDescL = prodDescL;
	}

	public void setHavejg(String havejg) {
		this.havejg = havejg;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	public void setDeleteTime(Date deleteTime) {
		this.deleteTime = deleteTime;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public void setProdAbbr(String prodAbbr) {
		this.prodAbbr = prodAbbr;
	}

	public void setProdEng(String prodEng) {
		this.prodEng = prodEng;
	}

	public void setProduccodeOld(String produccodeOld) {
		this.produccodeOld = produccodeOld;
	}

	public void setProdTypeCodeL(String prodTypeCodeL) {
		this.prodTypeCodeL = prodTypeCodeL;
	}

	public void setProdTypeCodeM(String prodTypeCodeM) {
		this.prodTypeCodeM = prodTypeCodeM;
	}

	public void setProdTypeCodeS(String prodTypeCodeS) {
		this.prodTypeCodeS = prodTypeCodeS;
	}

	public void setProdTypeNameL(String prodTypeNameL) {
		this.prodTypeNameL = prodTypeNameL;
	}

	public void setProdTypeNameM(String prodTypeNameM) {
		this.prodTypeNameM = prodTypeNameM;
	}

	public void setProdTypeNameS(String prodTypeNameS) {
		this.prodTypeNameS = prodTypeNameS;
	}

	public void setProdTypeMemoM(String prodTypeMemoM) {
		this.prodTypeMemoM = prodTypeMemoM;
	}

	public void setProdTypeMemoS(String prodTypeMemoS) {
		this.prodTypeMemoS = prodTypeMemoS;
	}


}
